Video for Linux Two API Specification: Revision 0.24
Prev |  | Next

# ioctl VIDIOC_QUERYSTD

## Name

VIDIOC_QUERYSTD -- Sense the video standard received by the current input

## Synopsis

``int ioctl`(int fd, int request, v4l2_std_id *argp);`

## Arguments

`fd`

  File descriptor returned by `open()`.

`request`

  VIDIOC_QUERYSTD

`argp`

## Description

The hardware may be able to detect the current video standard automatically. To do so, applications call `VIDIOC_QUERYSTD` with a pointer to a v4l2_std_id type. The driver stores here a set of candidates, this can be a single flag or a set of supported standards if for example the hardware can only distinguish between 50 and 60 Hz systems. When detection is not possible or fails, the set must contain all standards supported by the current video input or output.

## Return Value

On success 0 is returned, on error -1 and the `errno` variable is set appropriately:

EINVAL

  This ioctl is not supported.

Prev | Home | Next
ioctl VIDIOC_QUERYCTRL, VIDIOC_QUERYMENU | Up | ioctl VIDIOC_REQBUFS